Assets 2

Changes:

IMPORTANT
Version 4.0 requires PHP 5.6 or higher. If you are using an older PHP version, please read this article: PHP & Mollie API v2.

  • Fix - Reverted to older version of Mollie API PHP client, as it caused more issues than it fixed. This means conflicts with other plugins that use Guzzle are still possible. Use Mollie Payments For WooCommerce 3.0.6 if you also use plugins Klarna, Simple Locator, Cardinity, LeadPages, ConstantContact until we can provide a solution. If you experience issues, please contact us. Please review this article.

  • New - Multicurrency support for WooCommerce added

  • New - New payment methods EPS and GiroPay added

  • New - Updated payment method logo's (better quality SVG's)

  • New - Updated Mollie API PHP to 2.0.10

  • New - Add support for failed regular payments (already had support for failed renewal payments)

  • New - In WooCommerce order edit view, add direct link to payment in Mollie Dashboard

  • New - Add notice to use bank transfer via Mollie, not default BACS gateway

  • New - Add support for new refunds and chargebacks processing (that are initiated in Mollie Dashboard)

  • Fix - Guzzle conflicts with other plugins solved (Klarna, Simple Locator, Cardinity, LeadPages, ConstantContact)

  • Fix - "cURL error 60" fixed by including valid cacert.pem file

  • Fix - Make sure getting the shop currency is also possible on WooCommerce 2.6 or older

  • Fix - Fix "Fatal error: Uncaught exception 'Exception' with message 'Serialization of 'Closure' is not allowed' in " by adding try/catch blocks for serialize() for the rare cases where __sleep() isn't found in PHP

  • Fix - Check that a locale (language code) is supported by Mollie before trying to create a payment

  • Fix - "Couldn't create * payment", when other plugins (like WPML) use another locale format then the Mollie API (ISO 15897)

  • Fix - "Couldn't create * payment", temporarily disable sending the address details to Mollie for fraud detection, payments not allowed if one of the fields is missing

  • Fix - "Call to undefined function get_current_screen()" that can happen on some screens

How to upgrade (via FTP or file manager):

  1. Download the ZIP archive from WordPress.org.
  2. Extract the archive.
  3. Copy the contents of the folder to the /wp-content/plugins/mollie-payments-for-woocommerce/ directory of your WooCommerce environment, overwriting existing files.

How to upgrade (via WordPress admin):

  1. Download the ZIP archive from WordPress.org.
  2. Go to WordPress > Plugins > Installed Plugins
  3. Find "Mollie Payments for WooCommerce", deactivate and remove it
  4. Go to WordPress > Plugins > Add new > Upload plugin
  5. Select "Choose File" and select the ZIP archive on your computer
  6. Click "Install Now", activate the plugin

@davdebcom davdebcom released this Aug 6, 2018 · 2 commits to master since this release

Assets 2

Changes:

IMPORTANT
Version 4.0 requires PHP 5.6 or higher. If you are using an older PHP version, please read this article: PHP & Mollie API v2.

  • New - Multicurrency support for WooCommerce added

  • New - New payment methods EPS and GiroPay added

  • New - Updated payment method logo's (better quality SVG's)

  • New - Updated Mollie API PHP to 2.0.10

  • New - Add support for failed regular payments (already had support for failed renewal payments)

  • New - In WooCommerce order edit view, add direct link to payment in Mollie Dashboard

  • New - Add notice to use bank transfer via Mollie, not default BACS gateway

  • New - Add support for new refunds and chargebacks processing (that are initiated in Mollie Dashboard)

  • Fix - Guzzle conflicts with other plugins solved (Klarna, Simple Locator, Cardinity, LeadPages, ConstantContact)

  • Fix - "cURL error 60" fixed by including valid cacert.pem file

  • Fix - Make sure getting the shop currency is also possible on WooCommerce 2.6 or older

  • Fix - Fix "Fatal error: Uncaught exception 'Exception' with message 'Serialization of 'Closure' is not allowed' in " by adding try/catch blocks for serialize() for the rare cases where __sleep() isn't found in PHP

  • Fix - Check that a locale (language code) is supported by Mollie before trying to create a payment

  • Fix - "Couldn't create * payment", when other plugins (like WPML) use another locale format then the Mollie API (ISO 15897)

  • Fix - "Couldn't create * payment", temporarily disable sending the address details to Mollie for fraud detection, payments not allowed if one of the fields is missing

  • Fix - "Call to undefined function get_current_screen()" that can happen on some screens

How to upgrade (via FTP or file manager):

  1. Download the ZIP archive from WordPress.org.
  2. Extract the archive.
  3. Copy the contents of the folder to the /wp-content/plugins/mollie-payments-for-woocommerce/ directory of your WooCommerce environment, overwriting existing files.

How to upgrade (via WordPress admin):

  1. Download the ZIP archive from WordPress.org.
  2. Go to WordPress > Plugins > Installed Plugins
  3. Find "Mollie Payments for WooCommerce", deactivate and remove it
  4. Go to WordPress > Plugins > Add new > Upload plugin
  5. Select "Choose File" and select the ZIP archive on your computer
  6. Click "Install Now", activate the plugin

@davdebcom davdebcom released this Jul 2, 2018 · 20 commits to master since this release

Assets 2

Changes:

Starting with version 4.0, this plugin will require PHP 5.6. If you are using an older version, please read this article: PHP & Mollie API v2.

  • Multicurrency support for WooCommerce added

  • New payment methods EPS and GiroPay added

  • Updated payment method logo's (better quality SVG's)

  • Updated Mollie API PHP to 2.0.5

  • Add support for failed regular payments (already had support for failed renewal payments)

  • In WooCommerce order edit view, add direct link to payment in Mollie Dashboard

  • Add notice to use bank transfer via Mollie, not default BACS gateway

  • Add support for new refunds and chargebacks processing (that are initiated in Mollie Dashboard)

How to upgrade (via FTP or file manager):

  1. Download the ZIP archive from WordPress.org.
  2. Extract the archive.
  3. Copy the contents of the folder to the /wp-content/plugins/mollie-payments-for-woocommerce/ directory of your WooCommerce environment, overwriting existing files.

How to upgrade (via WordPress admin):

  1. Download the ZIP archive from WordPress.org.
  2. Go to WordPress > Plugins > Installed Plugins
  3. Find "Mollie Payments for WooCommerce", deactivate and remove it
  4. Go to WordPress > Plugins > Add new > Upload plugin
  5. Select "Choose File" and select the ZIP archive on your computer
  6. Click "Install Now", activate the plugin

@davdebcom davdebcom released this Jun 21, 2018 · 28 commits to master since this release

Assets 2

Changes:

IMPORTANT
Starting with version 4.0, this plugin will require PHP 5.6. If you are using an older version, please read this article: PHP & Mollie API v2. We expect to launch version 4.0 in June 2018.

  • Remove a remove_action() call that blocked the plugin from running on PHP versions below PHP 5.6
  • Added more log messages to onWebhookPaid

How to upgrade (via FTP or file manager):

  1. Download the ZIP archive from WordPress.org.
  2. Extract the archive.
  3. Copy the contents of the folder to the /wp-content/plugins/mollie-payments-for-woocommerce/ directory of your WooCommerce environment, overwriting existing files.

How to upgrade (via WordPress admin):

  1. Download the ZIP archive from WordPress.org.
  2. Go to WordPress > Plugins > Installed Plugins
  3. Find "Mollie Payments for WooCommerce", deactivate and remove it
  4. Go to WordPress > Plugins > Add new > Upload plugin
  5. Select "Choose File" and select the ZIP archive on your computer
  6. Click "Install Now", activate the plugin

@davdebcom davdebcom released this Jun 18, 2018 · 28 commits to master since this release

Assets 2

Changes:

IMPORTANT
Starting with version 4.0, this plugin will require PHP 5.6. If you are using an older version, please read this article: PHP & Mollie API v2. We expect to launch version 4.0 in June 2018.

  • Add warning that version 4.0 will require PHP 5.6
  • Update 'Required PHP' tag to PHP 5.6
  • Removes fatal error for thank you page without valid order (Issue #212 by NielsdeBlaauw)

How to upgrade (via FTP or file manager):

  1. Download the ZIP archive from WordPress.org.
  2. Extract the archive.
  3. Copy the contents of the folder to the /wp-content/plugins/mollie-payments-for-woocommerce/ directory of your WooCommerce environment, overwriting existing files.

How to upgrade (via WordPress admin):

  1. Download the ZIP archive from WordPress.org.
  2. Go to WordPress > Plugins > Installed Plugins
  3. Find "Mollie Payments for WooCommerce", deactivate and remove it
  4. Go to WordPress > Plugins > Add new > Upload plugin
  5. Select "Choose File" and select the ZIP archive on your computer
  6. Click "Install Now", activate the plugin